require("AnAL")

function love.load()

	kyo = love.graphics.newImage("kyo/kyo.png")

	player = {
		x = 50,
		y = 50,
		speed = 300,
		animations = {
			right = newAnimation(kyo, 56, 116, 0.1, 0)
		}
	}

	player.animation = player.animations.right

	--background
	stage = love.graphics.newImage("stage/1/1.png")
	stani = newAnimation(stage, 768, 256, 0.1, 0)

end

function love.update(dt)
	if love.keyboard.isDown("right") then
		player.x = player.x + (player.speed * dt)
		player.animation = player.animations.right
	end
	if love.keyboard.isDown("left") then
		player.x = player.x - (player.speed * dt)		
	end

	player.animation:update(dt)  
	stani:update(dt)

end

function love.draw()
	stani:draw(0, 0)
	
	love.graphics.print(player.x, 5, 5)
	player.animation:draw(x, y)

end